Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portlet
Class JBossRenderRequest

    java.lang.Object
      javax.portlet.filter.PortletRequestWrapper
          org.jboss.portlet.JBossRenderRequest

All Implemented Interfaces:
  javax.portlet.PortletRequest, javax.portlet.RenderRequest

    public class JBossRenderRequest

extends javax.portlet.filter.PortletRequestWrapper
implements javax.portlet.RenderRequest

Version:
  $Revision: 11737 $
Author:
  Julien Viet

Nested Class Summary

Nested classes/interfaces inherited from interface javax.portlet.PortletRequest
`javax.portlet.PortletRequest.P3PUserInfos`

Field Summary

Fields inherited from interface javax.portlet.RenderRequest
`ETAG`

Fields inherited from interface javax.portlet.PortletRequest
`ACTION_PHASE, ACTION_SCOPE_ID, BASIC_AUTH, CCPP_PROFILE, CLIENT_CERT_AUTH, DIGEST_AUTH, EVENT_PHASE, FORM_AUTH, LIFECYCLE_PHASE, RENDER_HEADERS, RENDER_MARKUP, RENDER_PART, RENDER_PHASE, RESOURCE_PHASE, USER_INFO`

Constructor Summary
`JBossRenderRequest(javax.portlet.RenderRequest portletRequest)`

Method Summary
`ControllerContext` | `getControllerContext()`
`java.lang.String` | `getETag()`
`java.util.Map<java.lang.String,java.lang.String>` | `getInformations()` Returns a modifiable map of user informations or null if the user is not authenticated.
`Parameters` | `getParameters()`
`PortalNode` | `getPortalNode()`
`org.jboss.portal.identity.User` | `getUser()` Returns the current authenticated user or null if the user is not authenticated

Methods inherited from class javax.portlet.filter.PortletRequestWrapper
`getAttribute, getAttributeNames, getAuthType, getContextPath, getCookies, getLocale, getLocales, getParameter, getParameterMap, getParameterNames, getParameterValues, getPortalContext, getPortletMode, getPortletSession, getPortletSession, getPreferences, getPrivateParameterMap, getProperties, getProperty, getPropertyNames, getPublicParameterMap, getRemoteUser, getRequest, getRequestedSessionId, getResponseContentType, getResponseContentTypes, getScheme, getServerName, getServerPort, getUserPrincipal, getWindowID, getWindowState, isPortletModeAllowed, isRequestedSessionIdValid, isSecure, isUserInRole, isWindowStateAllowed, removeAttribute, setAttribute, setRequest`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.portlet.PortletRequest
`getAttribute, getAttributeNames, getAuthType, getContextPath, getCookies, getLocale, getLocales, getParameter, getParameterMap, getParameterNames, getParameterValues, getPortalContext, getPortletMode, getPortletSession, getPortletSession, getPreferences, getPrivateParameterMap, getProperties, getProperty, getPropertyNames, getPublicParameterMap, getRemoteUser, getRequestedSessionId, getResponseContentType, getResponseContentTypes, getScheme, getServerName, getServerPort, getUserPrincipal, getWindowID, getWindowState, isPortletModeAllowed, isRequestedSessionIdValid, isSecure, isUserInRole, isWindowStateAllowed, removeAttribute, setAttribute`

Constructor Detail

### JBossRenderRequest

    public JBossRenderRequest(javax.portlet.RenderRequest portletRequest)

Method Detail

### getControllerContext

    public ControllerContext getControllerContext()

### getPortalNode

    public PortalNode getPortalNode()

### getInformations

    public java.util.Map<java.lang.String,java.lang.String> getInformations()

  Returns a modifiable map of user informations or null if the user is not authenticated.

### getUser

    public org.jboss.portal.identity.User getUser()

  Returns the current authenticated user or null if the user is not authenticated

### getParameters

    public Parameters getParameters()

### getETag

    public java.lang.String getETag()

  Specified by:
    `getETag` in interface `javax.portlet.RenderRequest`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD